import os

from . import Error, Tags, register

E001 = Error(
    "You should not set the GINGER_ALLOW_ASYNC_UNSAFE environment variable in "
    "deployment. This disables async safety protection.",
    id="async.E001",
)


@register(Tags.async_support, deploy=True)
def check_async_unsafe(app_configs, **kwargs):
    if os.environ.get("GINGER_ALLOW_ASYNC_UNSAFE"):
        return [E001]
    return []
