from ginger.core.management.templates import TemplateCommand


class Command(TemplateCommand):
    help = (
        "Creates a Ginger app directory structure for the given app name in "
        "the current directory or optionally in the given directory."
    )
    missing_args_message = "You must provide an application name."

    def handle(self, **options):
        app_name = options.pop("name")
        target = options.pop("directory")
        super().handle("app", app_name, target, **options)
